% script to play LPF and HPF sounds

[xw,fs] = audioread('welcome.wav');

% LPF
alpha = .98;
[x,n] = expseq(0,-10,99,alpha);
w = -pi:pi/500:pi;
ndisp = -10:50;

dtft_disp4;

soundsc(xw,fs)
pause(1.5)
xl = conv(xw,x);
soundsc(xl,fs)

pause

% LPF
alpha = -.98;
[x,n] = expseq(0,-10,99,alpha);
w = -pi:pi/500:pi;
ndisp = -10:50;

dtft_disp4;

soundsc(xw,fs)
pause(1.5)
xh = conv(xw,x);
soundsc(xh,fs)

pause

subplot(3,1,1),specgram(xw,[],fs)
title('Original sound')
subplot(3,1,2),specgram(xl,[],fs)
title('Lowpass filtered')
subplot(3,1,3),specgram(xh,[],fs)
title('Highpass filtered')

soundsc(xw,fs)
pause(1.5)
soundsc(xl,fs)
pause(1.5)
soundsc(xh,fs)
pause(1.5)

